package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssWangyi;

/**
 * 网易数帆对象存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 22:31:37
 */
public interface SchisandraOssWangyiService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssWangyi queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssWangyi 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssWangyi schisandraOssWangyi);

    /**
     * 修改数据
     *
     * @param schisandraOssWangyi 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssWangyi schisandraOssWangyi);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
